dpkg-query(1)

NAZWA
dpkg-query - narzędzie przepytywania bazy danych dpkg

SKŁADNIA
dpkg-query [opcja...] polecenie

OPIS
dpkg-query jest narzędziem służącym do pokazywania informacji o pakietach wymienionych w bazie danych dpkg.

POLECENIA

-l, --list wzorzec-nazwy-pakietu...
    List packages matching given pattern. If no package-name-pattern is given, list all packages in /var/lib/dpkg/status, excluding the ones marked as not-installed (i.e. those which have been previously purged). Normal shell wildchars are allowed in package-name-pattern. Please note you will probably have to quote package-name-pattern to prevent the shell from performing filename expansion. For example this will list all package names starting with “libc6”:
     dpkg-query -l 'libc6*'
    Format wyjścia tej opcji nie jest konfigurowalny, ale automatycznie się zmienia, dostosowując się do szerokości terminalu. Jest to przeznaczone dla ludzi i nie musi być łatwo parsowalne przez maszynę. Patrz opcje -W (--show) and --showformat, aby dowiedzieć się, jak skonfigurować format wyjścia.

-W, --show wzorzec-nazwy-pakietu...
    Zupełnie tak jak opcja --list, ta opcja wyświetli wszystkie pakiety pasujące do danego wzorca. Jednakże użytkownik może dostosować format wyjścia do swoich potrzeb za pomocą opcji --showformat. W domyślnym formacie dla każdego pasującego pakietu wyświetlana jest pojedyncza linia zawierająca jego nazwę oraz - po znaku tabulacji - zainstalowaną wersję.

-s, --status nazwa-pakietu...
    Podanie stanu pakietu o podanej nazwie. Polecenie po prostu wyświetli informacje, które znajdują się w bazie danych pakietów.

-L, --listfiles nazwa-pakietu...
    Podanie listy plików zainstalowanych z nazwy-pakietu. Jednakże pliki, które zostały utworzone przez skrypty instalacyjne pakietu, nie będą podane.

-S, --search wzorzec-wyszukiwania-nazwy-pliku...
    Szukanie pliku o podanym wzorcu pośród zainstalowanych pakietów. Wzorzec może zawierać zwykłe operatory powtórzenia. Polecenie to nie wyszuka dodatkowych plików tworzonych przez skrypty instalacyjne pakietów oraz nie wyświetli alternatyw.

-p, --print-avail nazwa-pakietu...
    Display details about package-name, as found in /var/lib/dpkg/available. Users of APT-based frontends should use apt-cache show package-name instead as the available file is only kept up-to-date when using dselect.

-h, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

--license, --licence
    Pokazuje informacje o licencji i prawach autorskich i kończy działanie.

OPCJE

--admindir=katalog
    Zmienia położenie bazy danych dpkg. Domyślnie jest to /var/lib/dpkg.

-f, --showformat=format
    Opcja jest używana do podania formatu wyjścia produkowanego przez --show. Format jest łańcuchem znaków, który będzie wyświetlony dla każdego wypisanego pakietu. W łańcuchu formatu, “\” jest znakiem cytowania:
        \n  nowa linia
        \r  powrót karetki
        \t  tabulacja
    “\” poprzedzający jakikolwiek inny znak znosi specjalne znaczenie następującego po nim znaku, co może być przydatne dla “\” oraz “$”. Package information can be included by inserting variable references to package fields using the syntax “${field[;width]}”. Fields are printed right-aligned unless the width is negative in which case left alignment will be used. The following fields are recognised but they are not necessarily available in the status file (only internal fields or fields stored in the binary package end up in it):
        Architecture
        Bugs
        Conffiles (internal)
        Config-Version (internal)
        Conflicts
        Breaks
        Depends
        Description
        Enhances
        Essential
        Filename (internal, dselect related)
        Homepage
        Installed-Size
        MD5sum (internal, dselect related)
        MSDOS-Filename (internal, dselect related)
        Maintainer
        Origin
        Package
        Pre-Depends
        Priority
        Provides
        Recommends
        Replaces
        Revision (obsolete)
        Section
        Size (internal, dselect related)
        Source
        Status (internal)
        Suggests
        Tag (usually not in the .deb but in APT's Packages files)
        Triggers-Awaited (internal)
        Triggers-Pending (internal)
        Version
    Domyślnym formatem jest “${Package}\t${Version}\n”. Można również zażądać wszystkich pozostałych pól z pliku status (tj. pól zdefiniowanych przez użytkownika). Zostaną one wypisane w takiej postaci, w jakiej znajdują się w pliku status, nie będzie więc dokonywana żadna konwersja czy sprawdzanie błędów. Aby wyświetlić nazwę opiekuna pakietu dpkg i zainstalowaną wersję tego pakietu, można uruchomić:
      dpkg-query -W -f='${Package} ${Version}\t${Maintainer}\n' dpkg

ŚRODOWISKO

COLUMNS
    Zmienna ta wpływa na wyjście polecenia --list, zmieniając jego szerokość.

AUTOR
Copyright © 2001 Wichert Akkerman

Niniejszy program jest oprogramowaniem wolnym, sprawdź Powszechną Licencję Publiczną GNU w wersji drugiej lub późniejszej, by dowiedzieć się o warunkach dystrybucji. Brak JAKIEJKOLWIEK gwarancji.

ZOBACZ TAKŻE
dpkg(1).

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008